Name:       la-libfdk-aac
Version:    2.0.2
Release:    1%{?dist}
Summary:    libfdk-aac
Group: Applications/System
License:MIT license
URL:        https://github.com/mstorsjo/fdk-aac
%undefine   _disable_source_fetch
Source0:    https://github.com/mstorsjo/fdk-aac/archive/v%{version}.tar.gz
Packager: 	%packager
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: gcc, libgcc, glibc-devel, zlib-devel, gcc-c++, make


%define debug_package %nil

%description
fdk-aac

%prep

%setup -q -n fdk-aac-%{version}

%build
autoreconf -fiv
./configure --prefix=%{_prefix} --bindir=%{_bindir} --libdir=%{_libdir}
make %{?_smp_mflags}
%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

#%post
#if [ $1 == 1 ];then
#       #installed
#fi

#%postun
#if [ $1 == 0 ];then
   #uninstalled   
#fi
%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
#%license LICENSE
#%doc AUTHORS CHANGES README TODO
/usr/include/fdk-aac/FDK_audio.h
/usr/include/fdk-aac/aacdecoder_lib.h
/usr/include/fdk-aac/aacenc_lib.h
/usr/include/fdk-aac/genericStds.h
/usr/include/fdk-aac/machine_type.h
/usr/include/fdk-aac/syslib_channelMapDescr.h
/usr/lib64/libfdk-aac.a
/usr/lib64/libfdk-aac.la
/usr/lib64/libfdk-aac.so
/usr/lib64/libfdk-aac.so.2
/usr/lib64/libfdk-aac.so.2.0.2
/usr/lib64/pkgconfig/fdk-aac.pc